# $Revision: 1.48 $, $Date: 2012/02/10 19:35:20 $
Summary:	Teletext decoder and browser for the bttv based card
Summary(de.UTF-8):	Videotext/Teletext
Summary(pl.UTF-8):	Dekoder Teletekstu
Name:		alevt
Version:	1.6.2
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://www.goron.de/~froese/alevt/%{name}-%{version}.tar.gz
# Source0-md5:	e5a32776e7eff48ec48449b3c3c1cc23
Source1:	%{name}.desktop
Patch0:		%{name}-time-include.patch
Patch1:		%{name}-time.h.patch
Patch2:		%{name}-zlib-include.patch
URL:		http://www.goron.de/~froese/
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AleVT is a teletext/videotext decoder and browser for the bttv driver
(/dev/vbi) and X11. It features multiple windows, a page cache, regexp
searching, built-in manual, and more. There's also a program to get
the time from teletext and one to capture teletext pages from scripts.

%description -l pl.UTF-8
Dekoder oraz przeglądarka teletekstu. Pakiet ten umożliwia
przeglądanie stron telegazety.

%description -l de.UTF-8
X11 Videotextdecoder für den bttv Treiber.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_desktopdir},%{_pixmapsdir}}

install alevt alevt-date alevt-cap $RPM_BUILD_ROOT%{_bindir}
install alevt-cap.1 alevt-date.1 alevt.1x $RPM_BUILD_ROOT%{_mandir}/man1
install contrib/icon48x48.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.xpm
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_pixmapsdir}/%{name}.xpm
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alevt.spec,v $
Revision 1.48  2012/02/10 19:35:20  adamg
- fix build against libpng-1.5 (zlib-include.patch)
- adapterized
- release 5

Revision 1.47  2012/02/07 21:57:54  arekm
- release 4

Revision 1.46  2011/12/20 19:38:44  arekm
- release 3

Revision 1.45  2010/02/06 20:57:04  arekm
- release 2

Revision 1.44  2009/01/20 13:46:27  duddits
- amd64.patch dropped as well

Revision 1.43  2009/01/20 13:38:26  duddits
- up to 1.6.2
- compile.patch dropped

Revision 1.42  2007/03/14 14:36:06  qboosh
- sorted BRs

Revision 1.41  2007/03/05 06:23:18  sls
- added compile.patch
- BR: s/XFree86/xorg-lib-libX11/

Revision 1.40  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.38  2006/07/11 21:14:36  sparky
- added desktop file
- many cosmetics

Revision 1.37  2005/05/11 13:43:38  qboosh
- more general lib64 if

Revision 1.36  2005/03/18 16:23:00  darekr
- simplfied %prep and %install a bit

Revision 1.35  2004/08/10 18:05:02  havner
- rel 3

Revision 1.34  2004/08/10 17:57:31  havner
- amd64 patch

Revision 1.33  2003/11/25 10:13:19  averne
- r2

Revision 1.32  2003/09/09 10:24:19  ankry
- spaces -> tab

Revision 1.31  2003/08/06 16:07:19  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.30  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.29  2003/05/25 05:45:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.27  2002/09/11 18:24:54  undefine
- update to 1.6.1
- new, working url
- new %doc

Revision 1.26  2002/04/25 15:43:07  arturs
- fixed a small typo

Revision 1.25  2002/04/05 10:54:38  roman
- s/GNU/GPL in License

Revision 1.24  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/03 20:42:00  ankry
- adding es/pt/pt_BR Group translations

Revision 1.22  2002/01/18 02:12:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/21 08:51:58  saq
- release 2, rebuild

Revision 1.20  2001/08/12 11:08:40  saq
- URL changed

Revision 1.19  2001/07/21 19:44:45  saq
- BuildRequires libpng-devel, not libpng
- adding alevt-time.h.patch

Revision 1.18  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.17  2001/07/06 12:28:27  dobrek
- added alevt-time-include.patch

Revision 1.16  2001/04/30 16:05:14  kloczek
- added using %{rpmcflags} macro.

Revision 1.15  2001/04/19 08:54:20  lukasz
- fixed pl description.

Revision 1.14  2001/01/25 20:03:20  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/23 00:48:42  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/10/11 22:48:21  kloczek
- use new rpm automation and few cosmetics.

Revision 1.11  2000/10/11 22:34:17  lukasz
- updated to 1.6.0
  this version probably not work with old version of bttv. I don't know why.

Revision 1.10  2000/09/17 14:42:59  lukasz
- updated to 1.5.2

Revision 1.9  2000/07/28 17:13:29  kloczek
- cosmetics.

Revision 1.8  2000/07/28 13:56:41  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.7  2000/06/09 07:22:46  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.3  1999/11/25 02:32:28  kloczek
- adapter(ized).
- fixed passing $RPM_OPT_FLAGS,
- new %description and Summary,
- removed COPYRIGHT from files (this information is in License field).

Revision 1.2  1999/11/25 00:40:45  lukasz
- changed BuildRequires rules

Revision 1.1  1999/11/25 00:28:56  lukasz
- added pl translation
- de translation taken from orginal spec from source
- initial PLD release
